Package be.vlaanderen.mercurius.vsb.schemas.v1

# Class ResidenceType

java.lang.Object
be.vlaanderen.mercurius.vsb.schemas.v1.AddressType
be.vlaanderen.mercurius.vsb.schemas.v1.ResidenceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ResidenceType extends AddressType implements Serializable

     <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Informatie betreffende een woonplaats met enerzijds de adresgegevens en anderzijds de geldigheidsperiode van dit adres.
                                    </p>

Java class for ResidenceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResidenceType">
       <complexContent>
         <extension base="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType">
           <sequence>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResidenceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEndDate()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Einddatum</p>
  `Instant`
  `getStartDate()`
  Startdatum
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class be.vlaanderen.mercurius.vsb.schemas.v1.AddressType

  `getAddressString, getBox, getCityName, getCountry, getCountryName, getHouseNumber, getInsCode, getStreetName, getZIPCode, setAddressString, setBox, setCityName, setCountry, setCountryName, setHouseNumber, setInsCode, setStreetName, setZIPCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResidenceType

    public ResidenceType()

- ## Method Details

  - ### getStartDate

    public Instant getStartDate()
    Startdatum
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStartDate()`

  - ### getEndDate

    public Instant getEndDate()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Einddatum</p>

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/schemas/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema">Bij de huidige woonplaats van de persoon zal er geen einddatum zijn</p>

    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEndDate()`